/****************************************************************************
*
*     Copyright (c) 2005 Dave Hylands
*           All Rights Reserved
*
*   Permission is granted to any individual or institution to use, copy, or
*   redistribute this software so long as it is not sold for profit, and that
*   this copyright notice is retained.
*
****************************************************************************/
/**
*
*   @file   PacketDef.h
*
*   @brief  This file contains common data which is shared by BootHost
*           and the Serial Dongle.
*
****************************************************************************/

#if !defined( PACKETDEF_H )
#define PACKETDEF_H

enum PacketType
{
    NoPacket,               ///< Used for validity
    GetI2CAddrPacket,       ///< Request side to retrieve i2c address
    GetI2CAddrReplyPacket,  ///< Response side
    SetI2CAddrPacket,       ///< Request side to set i2c address (of dongle)
    SetI2CAddrReplyPacket,  ///< Response side
    ReadPacket,             ///< Request side of a read
    ReadReplyPacket,        ///< Response side of a read
    WritePacket,            ///< Request side of a write
    CallPacket,             ///< Request side of a call
    CallReplyPacket,        ///< Response side of a call
};

#endif  // PACKETDEF_H

