###########################################################################
#
# 	mkEnv-avr.mk
#
# 	This file contains AVR specific defines for the build environment.
#
# 	This file should only define variables and not have any rules in it.
#
###########################################################################

MK_LIB_PREFIX	= lib
MK_LIB_EXT    	= .a
MK_OBJ_EXT    	= .o
MK_EXE_EXT    	= .elf
MK_HEX_EXT		= .hex

MK_CROSS_COMPILE		= avr-

ifeq ($(MK_AVR_MCU),)
$(error MK_AVR_MCU not specified)
endif

MK_AVR_MCU_FLAGS	= -mmcu=$(MK_AVR_MCU)

MK_COMMON_AVR_DIR	= $(MK_COMMON_DIR)/avr

CPPFLAGS += $(MK_AVR_MCU_FLAGS) -I $(MK_COMMON_AVR_DIR)
LDFLAGS  += $(MK_AVR_MCU_FLAGS)

CXXFLAGS += -fno-exceptions -fno-rtti

# On the AVR, we always optimize

CFLAGS += -Os
CXXFLAGS += -Os

MK_PRINT_EXE_SIZE	= avr-mem.sh $@ $(MK_AVR_MCU)

vpath %.c   $(MK_COMMON_AVR_DIR)
vpath %.cpp $(MK_COMMON_AVR_DIR)

include $(MK_RULES_DIR)/mkEnv-gcc.mk

BOOTHOST = $(MK_ROOT)/BootHost/exe/BootHost.exe
